var path = require("path");

module.exports = {
  entry: {
    app: [
      './src/index.js'
    ]
  },

  output: {
    path: path.resolve(__dirname + '/dist'),
    publicPath: "/",
    filename: '[name].js',
  },

  module: {
    loaders: [
      // {
      //   test: /\.(css|scss)$/,
      //   loaders: [
      //     'style-loader',
      //     'css-loader',
      //   ]
      // },
      {
        test:    /\.(html|css)$/,
        exclude: /node_modules/,
        loader:  'file?name=[name].[ext]',
      },
      {
        test:    /\.elm$/,
        exclude: [/elm-stuff/, /node_modules/],
        loader:  'elm-webpack?verbose=true&warn=true&debug=true',
      },
      {
        test: /\.woff(2)?(\?v=[0-9]\.[0-9]\.[0-9])?$/,
        loader: 'url-loader?limit=10000&mimetype=application/font-woff',
      },
      {
        test: /\.(ttf|eot|svg)(\?v=[0-9]\.[0-9]\.[0-9])?$/,
        loader: 'file-loader',
      },
    ],

    noParse: /\.elm$/,
  }
  ,

  devServer: {
    port: 3000,
    historyApiFallback: true
  },


};
